## webpenc webpenc |

## Properties

gboolean | lossless | Read / Write
GstWebpEncPreset | preset | Read / Write
gfloat | quality | Read / Write
guint | speed | Read / Write

## Types and Values

struct | GstWebpEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoEncoder
                        ╰── GstWebpEnc

## Implemented Interfaces

GstWebpEnc implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | webp
author | Sreerenj Balachandran <sreerenjb@gnome.org>
class | Codec/Encoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ I420, YV12, RGB, RGBA }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | image/webp, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 16, 16383 ], height=(int)[ 16, 16383 ]

## Functions

## Types and Values

### struct GstWebpEnc

    struct GstWebpEnc;

Opaque data structure.

## Property Details

### The `“lossless”` property

      “lossless”                 gboolean

Enable lossless encoding.

Flags: Read / Write

Default value: FALSE

### The `“preset”` property

      “preset”                   GstWebpEncPreset

Preset name for visual tuning.

Flags: Read / Write

Default value: Outdoor photo, natural lighting

### The `“quality”` property

      “quality”                  gfloat

quality level, between 0 (smallest file) and 100 (biggest).

Flags: Read / Write

Allowed values: [0,100]

Default value: 90

### The `“speed”` property

      “speed”                    guint

quality/speed trade-off (0=fast, 6=slower-better).

Flags: Read / Write

Allowed values: <= 6

Default value: 4